package lib

import (
	"fmt"
	"net/smtp"
)

func SendMail(cfg Config, to []string, subject, body string) error {
	auth := smtp.PlainAuth("", cfg.Email, cfg.Password, "smtp.gmail.com")

	msg := fmt.Sprintf("From: %s\nTo: %s\nSubject: %s\n%s", cfg.Email, "", subject, body)

	err := smtp.SendMail("smtp.gmail.com:587", auth, cfg.Email, to, []byte(msg))
	if err != nil {
		return err // FIXME
	}

	return nil
}
